Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

nombre réponses : 25

#0 Re : -1 »  [Info/Tuto] Orange et le fliquage / Changer ses paramètres DNS » Le 21/11/2014, à 08:46

HP
Réponses : 19
# vim /etc/resolvconf/resolv.conf.d/head
# Dynamic resolv.conf(5) file for glibc resolver(3) generated by resolvconf(8)
#     DO NOT EDIT THIS FILE BY HAND -- YOUR CHANGES WILL BE OVERWRITTEN

nameserver 127.0.0.1
# OpenNIC Project
nameserver 87.98.242.252
nameserver 179.43.143.69

Rien besoin de changer de plus… vous pouvez laisser dnsmasq… vous n'aurez que peu de chance d'utiliser les DNS (si ce n'est aucune) de votre FAI. Vite fait, bien fait.

#1 Re : -1 »  [Info/Tuto] Orange et le fliquage / Changer ses paramètres DNS » Le 26/11/2014, à 14:21

HP
Réponses : 19

C'est la mention qui se retrouvera dans le fichier /etc/resolv.conf wink

#2 Re : -1 »  [Info/Tuto] Orange et le fliquage / Changer ses paramètres DNS » Le 10/12/2014, à 10:24

HP
Réponses : 19

Bon, sinon, sur mon serveur domestique, mes autres (3) machines utilisent pdnsd (compilé), j'ai installé unbound… parce que bind, oui mais non.

Pour la config ça donne :

# /etc/unbound/unbound.conf.d/vendor.conf
server:
      logfile: "/var/log/unbound.log" 
      use-syslog: no
      verbosity: 2
      log-time-ascii: yes

      # The number of threads to create to serve clients.
      # 1 thread / CPU core
      num-threads: 2

      pidfile: "/var/run/unbound.pid"

      # Uses root servers
      # ftp://FTP.INTERNIC.NET/domain/named.cache
      root-hints: "/etc/unbound/named.cache"

C'est un vieux dual-core, donc 2 threads. J'utilise les serveurs root. Il ne vaut mieux pas utiliser le service fourni par Ubuntu, donc :

# sudo update-rc.d -f unbound remove

À moins de vouloir que unbound ne fasse que proxy DNS, utilisant les DNS du FAI (c'est le comportement du service avec Ubuntu).

Créer un fichier de log :

# sudo -touch /var/log/unbound.log
# sudo chown unbound:unbound /var/log/unbound.log

Et créer une conf pour logrotate :

# sudo vim /etc/logrotate.d/unbound
/var/log/unbound.log
{
        daily
        rotate 7
        dateext
        missingok
        notifempty
        compress
        create unbound unbound
        su root syslog
        postrotate
            /usr/bin/killall -HUP unbound || true
        endscript
}

À noter qu'une verbosité de 2 fourni suffisamment d'informations pour vérifier quels sont les serveurs utilisés.

#3 Re : -1 »  [Résolu]sort sur tableau PHP » Le 28/11/2014, à 08:17

HP
Réponses : 3
Tomzz a écrit :

Voilà comment perdre 2h sur une cone...

Les joies de PHP wink.

#4 Re : -1 »  [Résolu]sort sur tableau PHP » Le 29/11/2014, à 08:58

HP
Réponses : 3

Accessoirement, là, je bossais à la conception d'une classe permettant de faire des trucs genre :

$fruits = Dict::make(['Orange20', 'orange3', 'Orange2', 'orange1']);
$fruits->sort(SORT_NATURAL|SORT_FLAG_CASE);

ou encore (avec une Closure):

$fruits->sort(function($a, $b) {
        list($a, $b) = [strtolower($a), strtolower($b)];
        return ($a == $b)
            ? 0
            : ($a < $b) ? -1 : 1;
    });

Le deuxième exemple peut évidemment être remplacé par un :

$fruits->sort(SORT_STRING|SORT_FLAG_CASE);

Ces exemples sont issus des tests unitaires… donc assez peu pertinents wink.

Cependant, on peut aussi chaîner et, donc, arriver facilement à des trucs tels que :

$dict->sort(SORT_NATURAL|SORT_FLAG_CASE)->last();
$dict->sort(SORT_NATURAL|SORT_FLAG_CASE)->values()->get(3);
'Orange20'

#5 -1 »  [Script/sh] Connexion wifi facile, no-gui (wicd) » Le 17/11/2014, à 10:51

HP
Réponses : 0

J'ai un PC servant de media center, qui doit utiliser le WiFi (malheureusement), aucune interface graphique n'est installée, si ce n'est xbmc. C'est pourquoi j'ai écrit, de façon plus ou moins élégante (le shell n'est pas forcément mon langage de prédilection) quelques scripts. À l'instar de ce script pour se connecter, aussi facilement que possible, à un réseau WIFI sans interface grapique :

#!/usr/bin/env sh
#
# /usr/local/bin/wicd-wifi-connect

export PYTHONIOENCODING=UTF-8
main() {
    SSID=$1
    tries=10
    test -z "$SSID" && {
        echo 'Missing argument SSID' 1>&2
        exit 22
    }

    for i in $(seq 1 ${tries}); do
        printf '# Attempt %s/%s...\n' "$i" "$tries"
        connect "$SSID" && exit 0 || {
            tts=$(expr 1 \* $i)
            printf '+ Waiting %ss...' "$tts"
            sleep "$tts"
            printf "\n"
        }
    done
    exit 1
}

connect() {
    SSID=$1
    num=$(wicd-cli --wireless -l | egrep "[0-9]+\s+$SSID$" | awk '{print $1}' | head -1)
    test -n "$num" || {
        printf 'Network "%s" not found.\n' "$SSID" 1>&2
        return 1
    }
    wicd-cli --wireless -n "$num" -c
}

main $@

L'utilisation est assez simple :

wicd-wifi-connect SSID

Si le réseau n'est pas disponible, le script réessaiera 10 fois, pour arriver à un temps total d'exécution proche de 60s ; puisque le temps d'attente entre chaque tentative est de tentative*1s. Les dépendances sont très réduites, puisque à part wicd-cli le reste n'est que du standard (awk, egrep, ...).

Évidemment, pour que cette connexion automatique puisse fonctionner, le réseau doit avoir été configuré, par exemple : en utilisant wicd-curses. Le script peut parfaitement être exécuté par /etc/rc.local, pour une connexion automatique en fin de séquence de boot.

#7 Re : -1 »  Windows 10 » Le 07/10/2014, à 08:35

HP
Réponses : 212

@ignus: +1

#8 Re : -1 »  Cigarette électronique - des adeptes ? » Le 20/11/2014, à 12:00

HP
Réponses : 362

1416480729.jpg

15 ans de cigarettes, 30 mois de ecig ; aujourd'hui : clone black hawk (batterie 18350) + aspire bdc, 6/8 mg de nicotine (eliquide DIY).

#9 Re : -1 »  Anarchy, dès le 30 novembre sur France 4 » Le 01/11/2014, à 13:37

HP
Réponses : 7
abecidofugy a écrit :

Pour l'instant, au premier épisode, je classe ça dans la rubrique navet / belle daube.

+1

#10 Re : -1 »  Projet informatique et social - recherche collaborateurs. » Le 19/10/2014, à 11:20

HP
Réponses : 28
SODⒶ a écrit :

Vu à l'instant sur BFM TV : 142 000 SDF en France et 30% seulement des personnes y ayant droit touchent le RSA.

Ça ne m'étonne qu'assez peu, encore que je trouve le pourcentage relativement élevé. Parce qu'il faudra m’expliquer comment un SDF peut fournir la quantité de justificatifs papier nécessaire à l'obtention d'une prestation sociale. Je trouve que ce n'est pas forcément chose aisée pour un individu « normal ».

#11 Re : -1 »  Apple : pourquoi un macbook chauffe pas ? » Le 15/10/2014, à 10:08

HP
Réponses : 11

J'ai un ThinkPad R60, et pour regarder des films, en 720p… il chauffe pas… tongue

#12 Re : -1 »  Apple : pourquoi un macbook chauffe pas ? » Le 15/10/2014, à 20:02

HP
Réponses : 11

Trololo… le haut de gamme chez Apple ; c'est comme le bon vin Américain… suffit, simplement, de gonfler le prix, et le ressenti du client vient avec wink.

#13 Re : -1 »  Serveur tout-en-un vs NAS + serveur » Le 18/09/2014, à 11:08

HP
Réponses : 24

option 1 : la plus simple… et la plus économe, pas forcément la plus sécuris(é|abl)e
option 3 : plus chère (budget et temps)

Je ne me prononce pas sur l'option à base de matériels et systèmes bien propriétaires.

#14 Re : -1 »  Serveur tout-en-un vs NAS + serveur » Le 18/09/2014, à 15:34

HP
Réponses : 24

L'option 3 reste alors, au moins ;
plus coûteuse en temps : un système et une machine de plus à administrer
plus coûteux en terme d’énergie : une machine supplémentaire, et c'est encore quelques watts/24h qui sont consommés. Je pense que ça devrait entrer en considération, si l'aspect sécurité n'est pas prépondérant (ce qui, à mon sens, disqualifierait directement l'option 1 si le serveur est accessible directement depuis le web).

#16 Re : -1 »  Serveur tout-en-un vs NAS + serveur » Le 26/09/2014, à 10:08

HP
Réponses : 24
lucmars a écrit :

Je change un peu le topic mais, les boitiers adsl n'ont-ils pas tendance à concurrencer toutes sortes de services locaux ?

Certes, c'est pas du pointu […]. Mais dans le principe, tout est quasiment là.

Sauf que bon nombre de boîtier ADSL ne fonctionnent plus dès que la connexion est tombée… et moi, perso, ça me ferait craquer de ne plus avoir accès à mes fichiers locaux parce que la connexion ADSL est down ! Comme c'était le cas avec la Freebox HD v5, les fonctions magnétoscope et FTP sont coupées en l'absence de connexion internet, alors que les fichiers sont stockés sur son propre disque dur ! De toute façon, en l'absence de connexion internet, elle ne démarre même pas. Hallucinant…

De plus, installer et héberger, avec son propre matériel, ses propres entretient une certaine indépendance, et donc liberté, vis à vis du FAI.

#17 Re : -1 »  Serveur tout-en-un vs NAS + serveur » Le 28/09/2014, à 14:41

HP
Réponses : 24
lucmars a écrit :

Au moins Orange propose un service DynDns pour attaquer sa livebox depuis l'extérieur. (ça vaut ce que cela vaut)

Ce qui vaut ce qui vaut : c'est le port smtp (25)  bloqué et l'adresse ip dynamiqe…
Avec tout çà, difficile de faire du vrai internet.

#18 Re : -1 »  Recherche PC/Barebone avec 3 cartes réseau » Le 18/09/2014, à 19:48

HP
Réponses : 4

Barebone, ça va être dur !

Par contre un boitier serveur 2u :
http://www.amazon.fr/chassis-serveur-IP … B007P4DU6K
et 2 cartes PCI low profile :
http://www.amazon.fr/StarTech-com-ST100 … B00006JI5H
ou une seule carte PCI-Express :
http://www.amazon.fr/Carte-PCIie-RJ-45- … B00GQYSDA8

Le boîtier comme vu au dessus, j'en ai déjà 2… je suis tombé sous le charme de ces boîtiers ! Un d'eux est devenu mon médiacenter (HTPC), il a permis de concrétiser un projet de longue date, souvent avorté faute de trouver un boîtier adapté.

Sinon, si tu cherche quelque chose de plus cubique, je te recommande le Antec NSK1300 : http://www.amazon.fr/gp/product/B000H582JY
1411065765.jpg
celui-ci, je l'ai au fond d'un meuble… il me sert de serveur.

#19 Re : -1 »  Nécessité d'un dual boot ? » Le 18/09/2014, à 11:50

HP
Réponses : 25
slan a écrit :

Ben tant que tu est pas informaticien professionnel c'est pas un problème

On peut être «informaticien professionnel» et n'avoir aucun besoin de w$ wink

#20 Re : -1 »  La vapote et vous. » Le 16/09/2014, à 13:05

HP
Réponses : 6

kamryrscope_1.png

1453d1382624824-aspire-bdc-clearomizer-rsz_imag0948-jpg

Kamry K100 (en 18350) + Aspire BDC + Eliquide DIY Menthol ± 6mg

#21 -1 »  rb-tvshow (tvshow) organiseur de séries télévisées » Le 06/08/2014, à 13:23

HP
Réponses : 0

Utilisateur de xbmc, et ayant horreur des tâches répétitives, j'avais besoin de classer des séries télévisées présentées sous la forme assez commune de dossiers et fichiers nommés de façons suivantes :

Game.Of.Sex.S01E04.mkv
Masters.Of.Thrones.S02

Le but, étant d'arriver à une arborescence, genre :

Masters of Thrones
    ├── S02
    │   ├── Masters.of.Thrones.S02E01.mkv
    │   └── Masters.of.Thrones.S02E02.mkv
    └── tvshow.nfo

Et c'est ainsi que j'ai commencé à développer rb-tvshow. Vous trouverez plus d'explications dans la documentation. L'installation se fait avec un simple :

make install

Développé et utilisé sur Ubuntu 13.10, avec ruby 1.9.3p194

Pour obtenir l’organisation hiérarchique de fichiers donnée en exemple précédemment, il suffit d’exécuter la commande :

tvshow import /some/path/Masters.Of.Thrones.S02 -o ~/Videos/series

#22 Re : -1 »  faut-il encore un traitement de texte ? » Le 17/07/2014, à 11:33

HP
Réponses : 24

Pour moi LaTeX et Markdown me suffisent… avec comme éditeur Emacs.

#23 Re : -1 »  Nouvelles cartes Visa sans contact, réels dangers ou pas ? » Le 09/06/2014, à 10:13

HP
Réponses : 52
-pascal34- a écrit :

Donc vous pourrez vous en procurer une auprès de votre banque, car les banques ont encore l'obligation de proposer des cartes bancaires sans puce NFC (selon la loi en France), mais pour combien de temps ?

Si les consommateurs consomment de la CB sans NFC… bé, on continuera à en proposer…